Solo bundles
Set solo bundle enabled
Enable or disable a standalone media bundle for use in the creator's sales flow.
PATCH
/v1/agencies/{agencyId}/creators/{creatorId}/solo-bundles/{bundleId}/activationEnable or disable a standalone media bundle for use in the creator's sales flow.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
agencyId*string
Length
1 <= lengthcreatorId*string
bundleId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/agencies/string/creators/string/solo-bundles/string/activation" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "enabled": true }'{ "data": { "enabled": true, "creatorId": "string", "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "title": "string", "isGiftable": true, "position": 0, "price": 0, "floorPrice": 0, "content": null, "intensityTier": 0, "pricingMode": "FIXED", "creatorTags": [ "string" ], "isAiCaption": true, "medias": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "position": 0, "isPreview": true, "mediaId": "string", "bundleId": "string", "media": { "type": "PHOTO", "context": null, "creatorId": null, "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "price": 0, "duration": null, "basePrice": 0, "maxPrice": 0, "creatorTags": [ "string" ], "isSoloPpv": true, "tags": [ "string" ], "files": { "preview": "string", "thumb": "string", "full": "string" } } } ] }, "meta": { "requestId": "string", "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969", "status": "COMPLETED" }}Get solo bundle statistics GET
Read one standalone media bundle's offers sent, unlocks, gifts, conversion rate and revenue in USD, all time, over the last 7, 30 or 90 days, or between two days in the employee's time zone.
Reorder solo bundles PATCH
Set the order of a creator's standalone media bundles using the supplied bundle IDs.